package com.icomsys.main_vm.biz.common.common.service;

import com.icomsys.main_vm.common.code.enumresource.MenuResource;
import lombok.*;

import java.time.LocalDateTime;

@Getter
@Setter
@NoArgsConstructor
public class LogVO {

    private LocalDateTime registDate;
    private String actionCode;
    private MenuResource menuAuth;
    private String remark;
    private String serviceGroup;
    private String attribute1;
    private String attribute2;
    private String attribute3;
    private String attribute4;

    @Builder
    public LogVO(LocalDateTime registDate, String actionCode, MenuResource menuAuth, String remark, String serviceGroup, String attribute1, String attribute2, String attribute3, String attribute4) {
        this.registDate = registDate;
        this.actionCode = actionCode;
        this.menuAuth = menuAuth;
        this.remark = remark;
        this.serviceGroup = serviceGroup;
        this.attribute1 = attribute1;
        this.attribute2 = attribute2;
        this.attribute3 = attribute3;
        this.attribute4 = attribute4;
    }
}
