package com.icomsys.main_vm.biz.common.system.vo;

import com.icomsys.main_vm.biz.common.login.res.UserVo;
import com.icomsys.main_vm.db.jpa.entity.system.TbBotUser;
import lombok.Builder;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;
import org.springframework.security.crypto.password.PasswordEncoder;

import java.time.LocalDateTime;
import java.util.List;

@Getter
@Setter
@NoArgsConstructor
public class SystemBotUserUpdateReq {

    private Long userSeq;
    private String userId;
    private String userName;
    private String userPass;
    private String mobileNo;
    private String useYn;
    private int loginCheck;
    private String email;
    private String roleVal;
    private List<addServiceAuthList> addServiceAuthList;

    @Builder
    public SystemBotUserUpdateReq(Long userSeq, String userId, String userName, String mobileNo, String useYn, int loginCheck, String email, String roleVal, List<com.icomsys.main_vm.biz.common.system.vo.addServiceAuthList> addServiceAuthList) {
        this.userSeq = userSeq;
        this.userId = userId;
        this.userName = userName;
        this.mobileNo = mobileNo;
        this.useYn = useYn;
        this.loginCheck = loginCheck;
        this.email = email;
        this.roleVal = roleVal;
        this.addServiceAuthList = addServiceAuthList;
    }


}
