package com.icomsys.main_vm.biz.common.system.vo;

import lombok.Builder;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import java.time.LocalDateTime;
import java.util.List;

@Getter
@Setter
@NoArgsConstructor
public class SystemBotUserViewRes {

//    private String custCode;
//    private String custName;
    private Long userSeq;
    private String userId;
    private String userName;
    private String eMail;
    private String mobileNo;
    private String useYn;
    private int loginCheck;
    private String lastUseServiceGroup;
    private String roleVal;
    private List<SystemBotUserViewSubRes> useServiceGroup;
    private List<Long> useAuthSeq;



    @Builder
    public SystemBotUserViewRes(Long userSeq, String userId, String userName, String eMail, String mobileNo, String useYn, int loginCheck, String lastUseServiceGroup, String roleVal, List<SystemBotUserViewSubRes> useServiceGroup) {
        this.userSeq = userSeq;
        this.userId = userId;
        this.userName = userName;
        this.eMail = eMail;
        this.mobileNo = mobileNo;
        this.useYn = useYn;
        this.loginCheck = loginCheck;
        this.lastUseServiceGroup = lastUseServiceGroup;
        this.roleVal = roleVal;
        this.useServiceGroup = useServiceGroup;
    }
}
