package com.icomsys.main_vm.biz.common.system.vo;

import lombok.Builder;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import java.util.List;

@Getter
@Setter
@NoArgsConstructor
public class SystemBotUserViewSubRes {

    private String serviceGroup;
    private String serviceName;
    private List<SystemBotUserAuthGroupListRes> baseAuthGroup;
    private List<Long> baseSeq;


    @Builder
    public SystemBotUserViewSubRes(String serviceGroup, String serviceName, List<SystemBotUserAuthGroupListRes> baseAuthGroup, List<Long> baseSeq) {
        this.serviceGroup = serviceGroup;
        this.serviceName = serviceName;
        this.baseAuthGroup = baseAuthGroup;
        this.baseSeq = baseSeq;
    }

}
