package com.icomsys.main_vm.biz.common.system.vo;

import com.icomsys.main_vm.biz.common.login.res.UserVo;
import com.icomsys.main_vm.common.code.MenuVo;
import com.icomsys.main_vm.db.jpa.entity.system.*;
import lombok.Builder;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import java.awt.*;
import java.time.LocalDateTime;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;

@Getter
@Setter
@NoArgsConstructor
public class SystemCustSelectRes {

    private String custName;
    private String custCode;
    private String custUseYn;
    private List<SystemCustSaveSubReq> addServiceAuthList;
    private Map<String, List<String>> servicePol;
    private List<MenuVo> mainMenu;
    private Map<String, String> policyParent;

    @Builder
    public SystemCustSelectRes(String custName, String custCode, String custUseYn, List<SystemCustSaveSubReq> addServiceAuthList, Map<String, List<String>> servicePol, List<MenuVo> mainMenu, Map<String, String> policyParent) {
        this.custName = custName;
        this.custCode = custCode;
        this.custUseYn = custUseYn;
        this.addServiceAuthList = addServiceAuthList;
        this.servicePol = servicePol;
        this.mainMenu = mainMenu;
        this.policyParent = policyParent;
    }
}
