
package com.icomsys.main_vm.biz.common.system.vo;

import lombok.Builder;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import java.util.List;

@Getter
@Setter
@NoArgsConstructor
public class SystemServiceAuthGroupModifyReq {

    private String custCode;
    private Long authGroupSeq;
    private String policyGroupName;
    private String policyGroupDesc;
    private List<Long> theUser;
    private List<Long> delUser;
    private List<String> thePolicy;

    @Builder
    public SystemServiceAuthGroupModifyReq(String custCode, Long authGroupSeq, String policyGroupName, String policyGroupDesc, List<Long> theUser, List<Long> delUser, List<String> thePolicy) {
        this.custCode = custCode;
        this.authGroupSeq = authGroupSeq;
        this.policyGroupName = policyGroupName;
        this.policyGroupDesc = policyGroupDesc;
        this.theUser = theUser;
        this.delUser = delUser;
        this.thePolicy = thePolicy;
    }


}

