
package com.icomsys.main_vm.biz.common.system.vo;

import lombok.Builder;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import java.time.LocalDateTime;

@Getter
@Setter
@NoArgsConstructor
public class SystemServiceGroupRes {

    private String custCode;
    private String custName;
    private String serviceGroup;
    private String serviceGroupName;
    private String serviceType;
    private String useYn;
    private LocalDateTime registDate;

    @Builder
    public SystemServiceGroupRes(String custCode, String custName, String serviceGroup, String serviceGroupName, String serviceType, String useYn, LocalDateTime registDate) {
        this.custCode = custCode;
        this.custName = custName;
        this.serviceGroup = serviceGroup;
        this.serviceGroupName = serviceGroupName;
        this.serviceType = serviceType;
        this.useYn = useYn;
        this.registDate = registDate;
    }
}

