
package com.icomsys.main_vm.biz.common.system.vo;

import com.icomsys.main_vm.common.code.MenuVo;
import com.icomsys.main_vm.db.jpa.entity.system.TbServiceGrouop;
import lombok.*;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

@Getter
@Setter
@NoArgsConstructor
public class SystemServiceGroupUpdateReq {

    private String custCode;
    private String mainServiceGroup;
    private String subServiceGroup;
    private String subServiceGroupName;
    private String subServiceGroupDesc;
    private String subUseYn;
    private List<String> subPolicyVal;

    @Builder
    public SystemServiceGroupUpdateReq(String custCode, String mainServiceGroup, String subServiceGroup, String subServiceGroupName, String subServiceGroupDesc, String subUseYn, List<String> subPolicyVal) {
        this.custCode = custCode;
        this.mainServiceGroup = mainServiceGroup;
        this.subServiceGroup = subServiceGroup;
        this.subServiceGroupName = subServiceGroupName;
        this.subServiceGroupDesc = subServiceGroupDesc;
        this.subUseYn = subUseYn;
        this.subPolicyVal = subPolicyVal;
    }
}

