
package com.icomsys.main_vm.biz.common.system.vo;

import com.icomsys.main_vm.biz.common.login.res.UserVo;
import com.icomsys.main_vm.common.code.MenuVo;
import com.icomsys.main_vm.db.jpa.entity.system.TbServiceGrouop;
import lombok.Builder;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

@Getter
@Setter
@NoArgsConstructor
public class SystemServiceGroupViewRes {

    private String custCode;
    private String mainServiceGroup;
    private String mainServiceGroupName;
    private String mainServiceGroupDesc;
    private String mainUseYn;
    private String mainOprMngCode;
    private List<MenuVo> mainMenu;
    private List<String> mainPolicyVal;
    private Map<String, String> policyParent;
    private List<SystemServiceGroupViewSubListRes> subService;

    @Builder
    public SystemServiceGroupViewRes(String custCode, String mainServiceGroup, String mainServiceGroupName, String mainServiceGroupDesc, String mainUseYn, String mainOprMngCode, List<MenuVo> mainMenu, List<String> mainPolicyVal, Map<String, String> policyParent, List<SystemServiceGroupViewSubListRes> subService) {
        this.custCode = custCode;
        this.mainServiceGroup = mainServiceGroup;
        this.mainServiceGroupName = mainServiceGroupName;
        this.mainServiceGroupDesc = mainServiceGroupDesc;
        this.mainUseYn = mainUseYn;
        this.mainOprMngCode = mainOprMngCode;
        this.mainMenu = mainMenu;
        this.mainPolicyVal = mainPolicyVal;
        this.policyParent = policyParent;
        this.subService = subService;
    }



}

