package com.icomsys.main_vm.biz.rcp.conversation.vo;

import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

/**
 * Name : ConversationCmmNodeInfoReq 
 * date : 2023-02-13 
 * author :  Mong
 * description :
 * ===========================================================
 * DATE                 AUTHOR                NOTE
 * -----------------------------------------------------------
 * 2023-02-13                Mong             최초 생성
 */
@Getter
@Setter
@NoArgsConstructor
public class ConversationCmmNodeInfoReq {
    private int size;
    private int page;
    private String serviceGroup;
    private String custCode;
    private String nodeName;
    private boolean containUpper;       // false: 기본 검색, ture: serviceGroupUpper 값을 채워서 상위 서비스 그룹 항목까지 검색
    private String serviceGroupUpper;
}
