package com.icomsys.main_vm.db.jpa.entity.conversation;

import lombok.Builder;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.time.LocalDateTime;

@Table(name = "TB_ENTITY_MASTER")
@Entity
@Getter
@Setter
@NoArgsConstructor
public class TbEntityMaster {
    @Id
    @Column(name = "ENTITY_NAME", nullable = true, length = 50)
    private String entityName;
    @Column(name = "REGIST_ID", nullable = true, length = 30)
    private String registId;
    @Column(name = "REGIST_DATE", nullable = true)
    private LocalDateTime registDate;

    @Builder
    public TbEntityMaster(String entityName, String registId, LocalDateTime registDate) {
        this.entityName = entityName;
        this.registId = registId;
        this.registDate = registDate;
    }
}
