package com.icomsys.main_vm.db.jpa.entity.oprManage;


import lombok.Builder;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;
import java.io.Serializable;

@Table(name = "TB_BGM_MNG")
@Entity
@Getter
@Setter
@NoArgsConstructor
public class TbBgmMng implements Serializable {
    @Id
    @Column(name = "FILE_NAME", nullable = false, length = 100)
    private String fileName;

    @Column(name = "FILE_PATH", nullable = false, length = 200)
    private String filePath;

    @Column(name = "CUST_CODE", nullable = false, length = 20)
    private String custCode;

    @Column(name = "REGIST_ID", nullable = false, length = 20)
    private String registId;

    @Column(name = "REGIST_DATE", nullable = false)
    private String registDate;

    @Builder
    public TbBgmMng(String fileName, String filePath, String custCode, String registId, String registDate) {
        this.fileName = fileName;
        this.filePath = filePath;
        this.custCode = custCode;
        this.registId = registId;
        this.registDate = registDate;
    }

}
