package com.icomsys.main_vm.db.jpa.entity.scenario;

import lombok.Builder;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.io.Serializable;
import java.time.LocalDateTime;

@Table(name = "TB_SCENARIO_RELATED_INTENT")
@Entity
@Getter
@Setter
@NoArgsConstructor
@DynamicUpdate
@IdClass(TbScenarioRelatedIntent.class)
public class TbScenarioRelatedIntent implements Serializable {

    @Id
    @Column(name = "SCENARIO_SEQ", nullable = false)
    private Long scenarioSeq;
    @Id
    @Column(name = "INTENT_SEQ", nullable = false)
    private Long intentSeq;

    @Builder
    public TbScenarioRelatedIntent(Long scenarioSeq, Long intentSeq) {
        this.scenarioSeq = scenarioSeq;
        this.intentSeq = intentSeq;

    }
}