package com.icomsys.main_vm.db.jpa.entity.system.id;

import lombok.*;

import java.io.Serializable;

@Getter
@Setter
@NoArgsConstructor
public class TbServiceGroupPolicyId implements Serializable {
    private Long authGroupSeq;
    private String serviceGroup;
    private String policyVal;
    private String custCode;

    @Builder
    public TbServiceGroupPolicyId(Long authGroupSeq, String serviceGroup, String policyVal, String custCode) {
        this.authGroupSeq = authGroupSeq;
        this.serviceGroup = serviceGroup;
        this.policyVal = policyVal;
        this.custCode = custCode;
    }
}
