package com.icomsys.main_vm.db.jpa.repo.scenario;

import com.icomsys.main_vm.db.jpa.entity.scenario.TbApiNode;
import com.icomsys.main_vm.db.jpa.repo.scenario.dsl.TbApiNodeRepoDsl;
import org.springframework.data.jpa.repository.JpaRepository;

import java.util.List;
import java.util.Optional;

public interface TbApiNodeRepo extends JpaRepository<TbApiNode, Long>, TbApiNodeRepoDsl {
    List<TbApiNode> findByNodeNameContains(String apiNodeName);

    Optional<TbApiNode> findBySeqAndUseYn(Long seq, String useYn);
}
