package com.icomsys.main_vm.db.jpa.repo.scenario;

import com.icomsys.main_vm.db.jpa.entity.conversation.TbEntityMaster;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.transaction.annotation.Transactional;

public interface TbEntityMasterRepo extends JpaRepository<TbEntityMaster, String> {

    @Transactional
    @Modifying
    @Query(value = "truncate TB_ENTITY_MASTER", nativeQuery = true)
    void truncateEntityMaster();

}
