package com.icomsys.main_vm.db.jpa.repo.system;

import com.icomsys.main_vm.db.jpa.entity.system.TbIcsCustInfo;
import com.icomsys.main_vm.db.jpa.repo.system.dsl.TbIcsCustInfoRepoDsl;
import org.springframework.data.domain.PageRequest;
import org.springframework.data.domain.Pageable;
import org.springframework.data.jpa.repository.JpaRepository;

public interface TbIcsCustInfoRepo extends JpaRepository<TbIcsCustInfo, String> , TbIcsCustInfoRepoDsl {

    Pageable findAllBy(PageRequest dto);
    boolean existsByCustCode(String custCode);

}
