package com.icomsys.main_vm.db.jpa.repo.system;

import com.icomsys.main_vm.db.jpa.entity.conversation.TbIntentExample;
import com.icomsys.main_vm.db.jpa.entity.conversation.TbSynonymWord;
import com.icomsys.main_vm.db.jpa.repo.system.dsl.TbSynonymWordRepoDsl;
import org.springframework.data.jpa.repository.JpaRepository;

import java.util.List;
import java.util.Optional;

public interface TbSynonymWordRepo extends JpaRepository<TbSynonymWord, Long>, TbSynonymWordRepoDsl {

    Optional<TbSynonymWord> findBySynonymWordAndOprMngCode(String synonymWord, String serviceCode);

    List<TbSynonymWord> findByMasterSeqAndUseYn(Long seq, String useYn);
}
