package com.icomsys.main_vm.db.jpa.repo.system;

import com.icomsys.main_vm.db.jpa.entity.system.TbUserCust;
import com.icomsys.main_vm.db.jpa.entity.system.id.TbUserCustId;
import org.springframework.data.jpa.repository.JpaRepository;

import java.util.List;

public interface TbUserCustRepo extends JpaRepository<TbUserCust, TbUserCustId> {

    List<TbUserCust> findByUserSeqAndServiceGroup(Long seq, String lastService);
    List<TbUserCust> findByUserSeq(Long seq);

}
