package com.icomsys.main_vm.db.mybatis.alias;

import lombok.Builder;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import java.time.LocalDateTime;

@Getter
@Setter
@NoArgsConstructor
public class MonitoringScenarioBreakVO {

    //브래이크노드
    private Long seq;
    private String token;
    private int talkSeq;
    private String oprMngCode;
    private Long scenarioSeq;
    private Long releaseSeq;
    private String scenarioName;
//    S : 성공
//    F : 이탈
    private String scenarioResultCode;


    //    USER_REQ : 사용자 요청
//    SCENARIO : 시나리오 흐름
//    INIT_END : 인입 후 끊음
//    SILENT_FB : 묵음 폴백
//    SPEAK_FB : 발화 폴백
//    USER_END : 고객 끊음

    @Builder
    public MonitoringScenarioBreakVO(Long seq, String token, int talkSeq, String oprMngCode, Long scenarioSeq, Long releaseSeq, String scenarioName, String scenarioResultCode) {
        this.seq = seq;
        this.token = token;
        this.talkSeq = talkSeq;
        this.oprMngCode = oprMngCode;
        this.scenarioSeq = scenarioSeq;
        this.releaseSeq = releaseSeq;
        this.scenarioName = scenarioName;
        this.scenarioResultCode = scenarioResultCode;
    }
}
