<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<script type="text/javascript" src="<c:url value='/aajs/addIntentExample.js' />"></script>

<style>
  .intent-exam {
    max-height: 245px;
  }
</style>

<!--  modal :: 인텐트 예문 추가  -->
<div class="modal" id="addedIntentExam" style="width:900px">
  <div class="modal_header">
    <h3>인텐트 예문 추가</h3>
  </div>
  <div class="modal_body">
    <div class="row">
      <div class="col">
        <div class="modal_cont">

          <dl>
            <dt>
              <h4>시나리오 그룹 <em class="red">*</em></h4>
            </dt>
            <dd>
              <div class="sel_box">
                <select class="wide" id="popOprMngCode">
                  <option value="">--선택해주세요--</option>
                </select>
              </div>
            </dd>
          </dl>

          <dl>
            <dt>
              <h4>분류 <em class="red">*</em></h4>
            </dt>
            <dd>
              <div class="sel_box">
                <select class="wide" id="popIntentGroupCode">
                  <option value="">--시나리오 그룹을 선택해주세요--</option>
                </select>
              </div>
            </dd>
          </dl>

          <dl>
            <dt>
              <h4>인텐트 명 <em class="red">*</em></h4>
            </dt>
            <dd>
              <div class="sel_box">
                <select class="wide" id="popIntent">
                  <option value="">--분류를 선택해주세요--</option>
                </select>
              </div>
            </dd>
          </dl>

        </div>

      </div>
      <div class="col">
        <div class="modal_cont vh-flex">
          <div class="log-area">

            <div class="grouping">
              <div class="input-title">예문 추가</div>
              <div class="input-main">
                <div class="ipt_box type-flex">

                  <input type="text" placeholder="예문을 입력해주세요." id="addIntentExampleText">
                  <a href="#" class="btn" id="addIntentExampleBtn">추가</a>

                </div>
              </div>
            </div>


            <div class="grouping">
              <div class="input-title">예문 목록</div>
              <div class="intent-exam">
                <ul id="popIntentExample">

                </ul>
              </div>
            </div>

          </div>
        </div>
      </div>
    </div>
  </div>
  <div class="modal_controller">
    <a href="#" class="close" id="addIntentExPopupClose">close</a>
  </div>
</div>

