<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>COMMON NODE</title>
<%@ include file="/WEB-INF/jsp/adm/include/topLinkTag.jsp"%>
<script src="<c:url value='/js/adm/rcp/conversation/cmmNode.js' />"></script>
<script src="<c:url value='/js/adm/rcp/conversation/common.js' />"></script>
</head>
<body>

	<h1>ICOMSYS ADMIN</h1>
	<div class="skip_navigation">
		<ul>
			<li>
				<a href="#Content" class="go_content">본문 바로가기</a>
			</li>
			<li>
				<a href="#Gnb">메뉴 바로가기</a>
			</li>
		</ul>
	</div>

	<header id="header">
		<%@ include file="/WEB-INF/jsp/adm/include/header.jsp"%>
	</header>
	<c:import url="/adm/menu/getLnbMenu.do" />

	<section id="Content" class="bot_common">
		<div class="location">
			<ul>
				<li class="home"><a href="#">HOME</a></li>
				<li><a href="#">대화관리</a></li>
				<li><a href="#">Common Node 관리</a></li>
			</ul>
		</div>

		<!-- TODO: 래부터 신규 컨텐츠 마크업 입니다. -->
		<div class="sub_cont">
			<div class="cont_box">
				<div class="box_title">
					<div class="fl">
						<h2 class="mt12">Common Node 관리</h2>
					</div>
					<div class="fr">
						<div class="btn_wrap fl">
							<a id="btnSearchCmm" href="#" class="btn">조회</a>
						</div>
					</div>
				</div>
				<div class="tbl">
					<table class="search block">
						<colgroup>
							<col width="160px">
							<col width="auto">
							<col width="160px">
							<col width="auto">
						</colgroup>
						<tbody>
						<tr>
							<th class="tl">시나리오그룹</th>
							<td class="tl">
								<div class="sel_box">
									<select id="serviceGroup" class="wide">
									</select>
								</div>
							</td>
							<th class="tl">Common Node명</th>
							<td class="tl">
								<input id="nodeName" type="text" placeholder="Common Node명을 입력해주세요." name="code" class="">
							</td>
						</tr>
						</tbody>
					</table>
				</div>
			</div>
			<div class="cont_box">
				<div class="box_title">
					<div class="fl">
						<h2 class="mt12">Common Node 리스트</h2>
					</div>
					<div class="btn_wrap fr">
						<a href="#" id="createCmm" class="btn line">등록</a>
					</div>
				</div>
				<div class="tbl">
					<table id="resultTable" class="click">
						<colgroup>
							<col width="auto">
							<col width="200px">
							<col width="200px">
							<col width="140px">
						</colgroup>
						<thead>
						<tr>
							<th>seq</th>
							<th>Common Node명</th>
							<th>수정일</th>
							<th>수정자</th>
							<th>삭제</th>
						</tr>
						</thead>
						<tbody>
						<tr>
							<td></td>
							<td><a href="#"><b>{{string}}:GET</b></a></td>
							<td>{{YYYY-MM-DD HH:MM:SS}}</td>
							<td>{{string}}</td>
							<td><a href="#" class="btn btn-sm red btnDeleteCmm">삭제</a></td>
						</tr>
						</tbody>
					</table>
				</div>
			</div>
		</div>

	</section>
</body>
</html>
