<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>시나리오 관리</title>
<%@ include file="/WEB-INF/jsp/adm/include/topLinkTag.jsp"%>
</head>
<body>

	<h1>ICOMSYS ADMIN</h1>
	<div class="skip_navigation">
		<ul>
			<li>
				<a href="#Content" class="go_content">본문 바로가기</a>
			</li>
			<li>
				<a href="#Gnb">메뉴 바로가기</a>
			</li>
		</ul>
	</div>

	<header id="header">
		<%@ include file="/WEB-INF/jsp/adm/include/header.jsp"%>
	</header>

	<c:import url="/adm/menu/getLnbMenu.do" />
	<script type="text/javascript">
		var getServiceCode = "<c:out value="${serviceCode}"/>";
		//console.log(getServiceCode);
	</script>

	<script type="text/javascript" src="<c:url value='/aajs/scenario_list.js' />"></script>

	<!-- 컨텐트 시작 -->
	<section id="Content" class="conversation">
		<div class="cont_top">
			<div class="location">
				<ul>
					<li class="home">
						<a href="#">HOME</a>
					</li>
					<li>
						<a href="#">대화관리</a>
					</li>
					<li>
						<a href="#">시나리오 관리</a>
					</li>
				</ul>
			</div>
		</div>
		<div class="sub_cont menu08_01">
			<div class="cont_box">
				<div class="box_title">
					<div class="fl">
						<h2 class="mt12">시나리오관리</h2>
					</div>
					<div class="fr">
						<dl class="customer fl">
							<dt class="fl">
								<c:if test="${'SYS_ADMIN'==LoginVO.authCode}">
									고객사 :
								</c:if>
							</dt>
							<dd class="fl">
								<div class="sel_box">
									<c:choose>
										<c:when test="${'SYS_ADMIN'==LoginVO.authCode}">
											<select class="top" name="custCode" id="custCode">
												<c:forEach var="siteInfo" items="${siteLists}"
														   varStatus="status">
													<option value="<c:out value="${siteInfo.custCode}"/>"><c:out value="${siteInfo.custName}" /></option>
												</c:forEach>
											</select>
										</c:when>
										<c:otherwise>
											<input name="custCode" id="custCode" type="hidden" value="${LoginVO.siteCode}" />
										</c:otherwise>
									</c:choose>
								</div>
							</dd>
						</dl>
						<div class="btn_wrap fl">
							<a href="#" class="btn" onclick="fncSendData();">조회</a>
						</div>
					</div>
				</div>


				<div class="tbl">
					<table class="search table-fixed">
						<colgroup>
							<col width="130px">
							<col width="auto">
							<col width="130px">
							<col width="auto">
						</colgroup>
						<tbody>
							<tr>
								<th class="tl">서비스 명</th>
								<td class="tl">
									<div class="sel_box" id="selOprMng">
										<select class="wide" id="oprMngName" name="oprMngCode">
											<option value="">서비스 선택</option>
										</select>
									</div>
								</td>
								<!-- <td class="tl">
									<div class="sel_box">
										<div class="sel_box" id="selOprMng">
											<select class="wide" id="oprMngName" name="oprMngName">
												<option value="">서비스 선택</option>
											</select>
										</div>
									</div>
								</td> -->
								<th class="tl">시나리오명</th>
								<td class="tl">
									<input type="text" id="oprMngName1" placeholder="시나리오명">
								</td>
							</tr>
						</tbody>
					</table>
				</div>
			</div>
			<div class="cont_box">
				<div class="box_title">
					<div class="fl">
						<h2 class="mt12">시나리오 리스트</h2>
					</div>
					<div class="btn_wrap fr">
						<a href="javascript:fncAddScenario();" class="btn">시나리오 등록</a>
					</div>
				</div>

				<div class="tbl">
					<table class="table-fixed" id="resultTable">
						<colgroup>
							<col width="55%">
							<col width="15%">
							<col width="15%">
							<col width="15%">
						</colgroup>
						<thead>
							<tr>
								<th>시나리오명</th>
								<th>수정일</th>
								<th>수정자</th>
								<th>삭제</th>
							</tr>
						</thead>
						<tbody>
						</tbody>
					</table>
				</div>
			</div>
		</div>
	</section>
	<!-- 컨텐트 끝 -->

	<ul class="vakata-context"></ul>
	<div id="jstree-marker" style="display: none;">&nbsp;</div>
</body>
</html>