<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>응대이력</title>
<%@ include file="/WEB-INF/jsp/adm/include/topLinkTag.jsp"%>
</head>
<body>

	<h1>ICOMSYS ADMIN</h1>
	<h1>API NODE</h1>
	<div class="skip_navigation">
		<ul>
			<li>
				<a href="#Content" class="go_content">본문 바로가기</a>
			</li>
			<li>
				<a href="#Gnb">메뉴 바로가기</a>
			</li>
		</ul>
	</div>

	<header id="header">
<%--		<%@ include file="/WEB-INF/jsp/adm/include/header.jsp"%>--%>
	</header>
<%--	<c:import url="/adm/menu/getLnbMenu.do" />--%>

	<script type="text/javascript" src="<c:url value='/aajs/consulting.js' />"></script>

	<style>
		.minIco.stopBtnIco {
			background: url("/lib/assets/images/ico-stopBtn.png") no-repeat;
			background-size: contain;
		}
	</style>

	<section id="Content" class="bot_common">
		<div class="location">
			<ul>
				<li class="home"><a href="#">HOME</a></li>
				<li><a href="#">모니터링</a></li>
				<li><a href="#">응대이력</a></li>
			</ul>
		</div>

		<!-- TODO: 래부터 신규 컨텐츠 마크업 입니다. -->
		<div class="sub_cont">
			<div class="cont_box">
				<div class="box_title">
					<div class="fl">
						<h2 class="mt12">응대이력</h2>
					</div>
					<div class="fr">
						<div class="btn_wrap fl">
							<a href="javascript:Consulting.fncConsultingList();" class="btn">조회</a>
						</div>
					</div>
				</div>
				<div class="tbl">
					<table class="search block">
						<colgroup>
							<col width="140px">
							<col width="18%">
							<col width="140px">
							<col width="18%">
							<col width="140px">
							<col width="18%">
							<col width="140px">
							<col width="18%">
						</colgroup>
						<tbody>
						<tr>
							<th class="tl">시나리오 그룹</th>
							<td>
								<div class="sel_box">
									<select class="wide" id="oprMngCode">
										<option value="">전체</option>
									</select>
								</div>
							</td>
							<th class="tl">시나리오</th>
							<td>
								<div class="sel_box">
									<select class="wide" id="scenarioSeq">
										<option value="">전체</option>
									</select>
								</div>
							</td>
							<th class="tl">통화일자</th>
							<td colspan="3">
								<div class="input-grid-flex">
									<div class="datetimepicker_box">
										<div class='input-group date datetimepicker_from'>
											<input id="dataFrom" type='text' class="form-control" readonly />
											<span for="dataFrom" class="input-group-addon">
												<span class="glyphicon glyphicon-calendar calender_ico"></span>
											</span>
										</div>
										<span class="form_bridge">~</span>
										<div class='input-group date datetimepicker_to'>
											<input id="dataTo" type='text' class="form-control" readonly />
											<span for="dataTo" class="input-group-addon">
												<span class="glyphicon glyphicon-calendar calender_ico"></span>
											</span>
										</div>
									</div>

									<div class="rdo_box type-toggle">
										<input type="radio" name="radio_ipt" id="rdo02" class="" checked="" onclick="javascript:Consulting.setCurrentDate();">
										<label for="rdo02">오늘</label>
										<input type="radio" name="radio_ipt" id="rdo01" class="" onclick="javascript:Consulting.setWeekDate();">
										<label for="rdo01">일주일</label>
									</div>
								</div>
							</td>
						</tr>
						<tr>
							<th class="tl">종료구분</th>
							<td>
								<div class="sel_box">
									<select class="wide" id="callEndConversion">
										<option value="">전체</option>
									</select>
								</div>
							</td>
							<th class="tl">종료상황</th>
							<td>
								<div class="sel_box">
									<select class="wide" id="callEndReason">
										<option value="">--선택해주세요--</option>
									</select>
								</div>
							</td>
							<th class="tl">발신번호</th>
							<td class="tl">
								<input type="text" id="telNo">
							</td>
							<th class="tl">수신번호</th>
							<td class="tl">
								<input type="text" id="dnisNo">
							</td>
						</tr>
						</tbody>
					</table>
				</div>
			</div>

			<div class="cont_box">
				<div class="box_title">
					<div class="fl">
						<h2 class="mt12">응대이력 리스트</h2>
					</div>
					<div class="btn_wrap fr">
						<a href="#" class="btn excel" onclick="javascript:Consulting.excelDownload();">다운로드</a>
					</div>
				</div>
				<div class="tbl">
					<table id="testTb1" class="click">
						<colgroup>
							<col width="90px">
							<col width="auto">
							<col width="auto">
							<col width="auto">
							<col width="auto">
							<col width="auto">
							<col width="auto">
							<col width="auto">
							<col width="auto">
							<col width="auto">
						</colgroup>
						<thead>
						<tr>
							<th>No</th>
							<th>시나리오 그룹</th>
							<th>시나리오</th>
							<th>통화시간</th>
							<th>통화일자</th>
							<th>종료 구분</th>
							<th>발신번호</th>
							<th>수신번호</th>
							<th>고객 발화 횟수</th>
							<th>봇 발화 횟수</th>
						</tr>
						</thead>
						<tbody id="dataArea">

						</tbody>
					</table>
				</div>
			</div>
		</div>

	</section>

	<div class="modal" id="viewConversationContent" style="width:800px">
		<div class="modal_header">
			<h3>대화내용</h3>
		</div>
		<div class="modal_body">
			<div class="modal_cont">
				<div class="box_title">
					<div class="fl">
						<div style="padding-bottom: 5px;">
							<span>발신번호 :</span>
							<span id="userPhoneNumber"></span>
						</div>
						<div style="padding-bottom: 5px;">
							<span>수신번호 :</span>
							<span id="botPhoneNumber"></span>
						</div>
						<div>
							<span>당일 콜 횟수 :</span>
							<span id="userCallCnt"></span>
						</div>
					</div>

					<div class="fr">
						<div class="icon-guide">
							<span class="btn btn-sm line"><i class="minIco listeningIco"></i> 녹취듣기</span>
							<span class="btn btn-sm line"><i class="minIco downloaderIco"></i>녹취 다운로드</span>
							<span class="btn btn-sm line"><i class="minIco addedIco"></i> 대화 책갈피 추가</span>
							<span class="btn btn-sm line"><i class="minIco removeIco"></i> 대화 책갈피 제거</span>
						</div>
					</div>
				</div>
				<div class="scenario-bookmark">
					<div class="content-scroll type-bg" style="height:274px;">
						<div class="monitering-chat" id="detailTalk">

						</div>
					</div>
				</div>
			</div>
		</div>
		<div class="modal_controller">
			<a href="#" class="close">close</a>
		</div>
	</div>

	<!-- modal :: 책갈피추가 -->
	<div class="modal multi" id="addedBookmark">
		<input type="hidden" id="addOprMngCode">
		<input type="hidden" id="logTypeVal">
		<input type="hidden" id="tokenVal">
		<input type="hidden" id="talkSeqVal">
		<div class="modal_header">
			<h3>대화 책갈피 추가</h3>
		</div>
		<div class="modal_body">
			<div class="modal_cont">
				<dl>
					<dt>
						<h4>대화내용</h4>
					</dt>
					<dd id="bookmarkText">

					</dd>
				</dl>
				<dl>
					<dt>
						<h4>책갈피 유형</h4>
					</dt>
					<dd>
						<div class="sel_box">
							<select class="wide" id="bookmarkErr">

							</select>
						</div>
					</dd>
				</dl>
			</div>
		</div>
		<div class="modal_footer">
			<div class="btn_wrap fr">
				<a href="#" class="btn" id="addBookmarkBtn">저장</a>
			</div>
		</div>
		<div class="modal_controller">
			<a href="#" class="close">close</a>
		</div>
	</div>

	<!-- modal :: 책갈피제거 -->
	<div class="modal multi" id="removeBookmark">
		<input type="hidden" id="removeOprMngCode">
		<input type="hidden" id="seqVal">
		<div class="modal_header">
			<h3>대화 책갈피 제거</h3>
		</div>
		<div class="modal_body">
			<div class="modal_cont">
				<dl>
					<dt>
						<h4>대화내용</h4>
					</dt>
					<dd>
						<input type="text" id="removeBookmarkText" style="max-width: 305px;" readonly/>
					</dd>
				</dl>
				<dl>
					<dt>
						<h4>조치 유형</h4>
					</dt>
					<dd>
						<div class="sel_box">
							<select class="wide" id="measureType">

							</select>
						</div>
					</dd>
				</dl>
				<dl>
					<dt>
						<h4>조치 내용</h4>
					</dt>
					<dd>
						<div class="sel_box">
							<input type="text" id="measureInfo" maxlength="20" style="max-width: 305px;"/>
						</div>
					</dd>
				</dl>
			</div>
		</div>
		<div class="modal_footer">
			<div class="btn_wrap fr">
				<a href="#" class="btn" id="removeBookmarkBtn">저장</a>
			</div>
		</div>
		<div class="modal_controller">
			<a href="#" class="close">close</a>
		</div>
	</div>

	<div class="audio-box">
		<audio src=""></audio>
	</div>

</body>
</html>
