<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>

<!DOCTYPE html>
<html>
<head>
    <title>로그인</title>
    <%@ include file="/WEB-INF/jsp/adm/include/topLinkTag.jsp" %>
</head>

<script>

    $(document).ajaxComplete(function (evnet, xhr, settings) {
        if (xhr.status == "500") {
            document.location.href = "<c:url value='/adm/main/egovLoginUsr.do'/>";
        }
    });

    $(document).ready(function () {
        let tmp = window.localStorage.getItem("cinnmonToken");
        console.log(tmp);
        $('.btn_wrap').on("click", function () {
            // fncSend();
            fncCheck();
        });
    });


    function fncKeyPresshandler(e) {
        if (event.keyCode == 13) {
            // fncSend();
            fncCheck();
        }
    }

    function fncSend() {


        document.signinInfoForm.action = "<c:url value='/adm/main/actionSecurityLogin.do'/>";
        document.signinInfoForm.submit();
    }

    function fncCheck() {
        var id = $('#userId').val();
        var pw = $('#password').val();
        var json = {};
        json.userId = id;
        json.password = pw;
        var reg = /^(?=.*?[A-Z])(?=.*?[a-z])(?=.*?[0-9])(?=.*?[#?!@$%^&*-]).{8,}$/;

        // if (pw.length < 8 || pw.length > 20) {
        //     alert("8자리 ~ 20자리 이내로 입력해주세요.");
        //     return false;
        //
        // } else if (pw.search(/\s/) != -1) {
        //     alert("비밀번호는 공백 없이 입력해주세요.");
        //     return false;
        //
        // } else if (number < 0 || english < 0 || spece < 0) {
        //     alert("영문,숫자,특수문자를 혼합하여 입력해주세요.");
        //     return false;
        //
        // } else if ((number < 0 && english < 0) || (english < 0 && spece < 0) || (spece < 0 && number < 0)) {
        //     alert("영문,숫자, 특수문자 중 2가지 이상을 혼합하여 입력해주세요.");
        //     return false;
        //
        // } else if (/(\w)\1\1\1/.test(pw)) {
        //     alert('같은 문자를 4번 이상 사용하실 수 없습니다.');
        //     return false;
        //
        // } else if (pw.search(id) > -1) {
        //     alert("비밀번호에 아이디가 포함되었습니다.");
        //     return false;
        // } else {
        //     alert("비밀번호가 정상적으로 입력되었습니다.");
        //     return true;
        // }
        // if (false === reg.test(pw)) {
        //     alert('비밀번호는 8자 이상이어야 하며, 숫자/대문자/소문자/특수문자를 모두 포함해야 합니다.');
        //     return false;
        // } else {
        //     alert("비밀번호가 정상적으로 입력되었습니다.");
        //     return true;
        // }


        $.ajax({
            type: "POST",
            contentType: "application/json; charset=utf-8",
            datatype: "JSON",
            async: false,
            url: "<c:url value='/adm/tokenLogin'/>",
            data: JSON.stringify(json),
        })
            .complete(function (data) {
                console.log(data);

                if (data.status == 200) {
                    window.localStorage.setItem("cinnmonToken", data.responseJSON.accessToken);

                    console.log(data.responseJSON);

                    let tmp = window.localStorage.getItem("cinnmonToken");
                    console.log(tmp);

                    document.signinInfoForm.action = "<c:url value='/adm/main/actionSecurityLogin.do'/>";
                    document.signinInfoForm.submit();

                    } else {
                        // login 실패
                        // Todo: 실패에 코드 정의 및 처리 방식 고려 필요
                        console.log("data.status: " + data.status);
                        $.utils.warning("로그인 실패!! 에러 코드 처리 필요");
                    }


                    <%--if (data.status == 200) {--%>
                <%--    document.signinInfoForm.action = "<c:url value='/adm/main/actionSecurityLogin.do'/>";--%>
                <%--    document.signinInfoForm.submit();--%>
                <%--} else if (data.status == 400) {--%>
                <%--    // alert("비밀번호 5회 실패로 계정이 잠겼습니다. 관리자에게 잠금해제 요청하세요.");--%>
                <%--    $.utils.warning("계정이 잠겼습니다. 관리자에게 잠금해제 요청하세요.");--%>
                <%--} else if (data.status == 401) {--%>
                <%--    // alert("비밀번호 변경후 90일이 지났습니다.");--%>
                <%--    $.utils.warning("비밀번호 변경후 90일이 지났습니다.");--%>
                <%--    document.location.href = "<c:url value='/adm/main/changePwd'/>" ;--%>
                <%--} else if (data.status == 404) {--%>
                <%--    // alert("로그인 정보가 올바르지 않습니다.");--%>
                <%--    $.utils.warning("로그인 정보가 올바르지 않습니다.");--%>
                <%--}--%>

            })
    }


</script>

<body onload="noBack();" onpageshow="if(event.persisted) noBack();" onunload="">
<section class="login">
    <div class="login_box">
        <form id="signinInfoForm" name="signinInfoForm" method="post">
            <dl>
                <dt>User ID</dt>
                <dd><input id="userId" name="userId" type="text" placeholder="User ID"></dd>
            </dl>
            <dl>
                <dt>Password</dt>
                <dd>
                    <input id="password" name="password" type="password" placeholder="Password"
                           onkeypress="fncKeyPresshandler(event);">
                </dd>
            </dl>
            <!-- 			<div class="remember"> -->
            <!-- 				<div class="chk_box fr"> -->
            <!-- 					<input type="checkbox" name="checkbox" id="chk01"  value=""> -->
            <!-- 					<label for="chk01" class="label_nohide">Remember Me</label> -->
            <!-- 				</div> -->
            <!-- 			</div> -->
        </form>
        <div class="btn_wrap">
            <a href="#" id="sendBtn" class="btn basic red">로그인</a>
        </div>
        <p class="copyright">© Copyright 2023. All rights reserved.</p>
    </div>

</section>
</body>
</html>