package com.icomsys.main_vm.biz.common.login.req;


import lombok.*;
import org.springframework.security.crypto.password.PasswordEncoder;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Size;


@Getter
@Setter
@NoArgsConstructor
public class PwdUpdateReq {

    private String id;
    private String pw0;
    private String pw1;
    private String pw2;

    @Builder
    public PwdUpdateReq(String id, String pw0, String pw1, String pw2) {
        this.id = id;
        this.pw0 = pw0;
        this.pw1 = pw1;
        this.pw2 = pw2;
    }
}

