package com.icomsys.main_vm.biz.common.login.res;


import lombok.Builder;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import java.time.LocalDateTime;

@Getter
@Setter
@NoArgsConstructor
public class UserVo {

    private Long userSeq;
    private String custCode;
    private String lastUseServiceGroup;
    private String roleVal;
    private String userId;
    //    private String password;
    private String userName;
    private String eMail;
    private String mobileNo;
    private int loginCheck;
    private String useYn;
    private String registId;
    private LocalDateTime registDate;
    private String updateId;
    private LocalDateTime updateDate;

    @Builder
    public UserVo(Long userSeq, String custCode, String lastUseServiceGroup, String roleVal, String userId, String userName, String eMail, String mobileNo, int loginCheck, String useYn, String registId, LocalDateTime registDate, String updateId, LocalDateTime updateDate) {
        this.userSeq = userSeq;
        this.custCode = custCode;
        this.lastUseServiceGroup = lastUseServiceGroup;
        this.roleVal = roleVal;
        this.userId = userId;
        this.userName = userName;
        this.eMail = eMail;
        this.mobileNo = mobileNo;
        this.loginCheck = loginCheck;
        this.useYn = useYn;
        this.registId = registId;
        this.registDate = registDate;
        this.updateId = updateId;
        this.updateDate = updateDate;
    }

}
