package com.icomsys.main_vm.biz.common.system.vo;

import lombok.Builder;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import java.time.LocalDateTime;

@Getter
@Setter
@NoArgsConstructor
public class SystemBotUserRes {

    private String custCode;
    private String custName;
//    private String serviceGroup;
//    private String serviceGroupName;
    private Long userSeq;
    private String userId;
    private String userName;
    private String eMail;
    private String mobileNo;
    private String useYn;
    private LocalDateTime registDate;

    @Builder
    public SystemBotUserRes(String custCode, String custName, Long userSeq, String userId, String userName, String eMail, String mobileNo, String useYn, LocalDateTime registDate) {
        this.custCode = custCode;
        this.custName = custName;
        this.userSeq = userSeq;
        this.userId = userId;
        this.userName = userName;
        this.eMail = eMail;
        this.mobileNo = mobileNo;
        this.useYn = useYn;
        this.registDate = registDate;
    }
}
