
package com.icomsys.main_vm.biz.common.system.vo;

import com.icomsys.main_vm.biz.common.login.res.UserVo;
import lombok.Builder;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import java.time.LocalDateTime;

@Getter
@Setter
@NoArgsConstructor
public class SystemPolicyMenuRes {
    private String custCode;
    private String custName;
    private String serviceGroup;
    private String serviceGroupName;
    private String policyVal;
    private String policyName;
    private String menuName;
    private Long menuSeq;

    @Builder
    public SystemPolicyMenuRes(String custCode, String custName, String serviceGroup, String serviceGroupName, String policyVal, String policyName, String menuName, Long menuSeq) {
        this.custCode = custCode;
        this.custName = custName;
        this.serviceGroup = serviceGroup;
        this.serviceGroupName = serviceGroupName;
        this.policyVal = policyVal;
        this.policyName = policyName;
        this.menuName = menuName;
        this.menuSeq = menuSeq;
    }
}

