package com.icomsys.main_vm.biz.common.system.vo;

import lombok.Builder;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import java.time.LocalDateTime;


@Getter
@Setter
@NoArgsConstructor
public class SystemServiceAuthGroupRes {
    private String serviceGroup;
    private String serviceGroupName;
    private Long authGroupSeq;
    private String policyGroupName;
    private String policyGroupDesc;
    private String custCode;
    private LocalDateTime registDate;

    @Builder
    public SystemServiceAuthGroupRes(String serviceGroup, String serviceGroupName, Long authGroupSeq, String policyGroupName, String policyGroupDesc, String custCode, LocalDateTime registDate) {
        this.serviceGroup = serviceGroup;
        this.serviceGroupName = serviceGroupName;
        this.authGroupSeq = authGroupSeq;
        this.policyGroupName = policyGroupName;
        this.policyGroupDesc = policyGroupDesc;
        this.custCode = custCode;
        this.registDate = registDate;
    }
}
