
package com.icomsys.main_vm.biz.common.system.vo;

import com.icomsys.main_vm.biz.common.login.res.UserVo;
import com.icomsys.main_vm.common.code.MenuVo;
import lombok.Builder;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import javax.persistence.Column;
import javax.persistence.Id;
import java.time.LocalDateTime;
import java.util.List;
import java.util.Map;

@Getter
@Setter
@NoArgsConstructor
public class SystemServiceAuthGroupUpdateRes {

    private Long authGroupSeq;
    private String serviceGroup;
    private String custCode;
    private String policyGroupName;
    private String policyGroupDesc;
    private List<SystemBotUserRes> userList;
    private List<MenuVo> mainMenu;
    private List<String> policyVal;
    private List<String> authPolicyVal;
    private Map<String, String> policyParent;

    @Builder

    public SystemServiceAuthGroupUpdateRes(Long authGroupSeq, String serviceGroup, String custCode, String policyGroupName, String policyGroupDesc, List<SystemBotUserRes> userList, List<MenuVo> mainMenu, List<String> policyVal, List<String> authPolicyVal, Map<String, String> policyParent) {
        this.authGroupSeq = authGroupSeq;
        this.serviceGroup = serviceGroup;
        this.custCode = custCode;
        this.policyGroupName = policyGroupName;
        this.policyGroupDesc = policyGroupDesc;
        this.userList = userList;
        this.mainMenu = mainMenu;
        this.policyVal = policyVal;
        this.authPolicyVal = authPolicyVal;
        this.policyParent = policyParent;
    }
}

