package com.icomsys.main_vm.biz.common.system.vo;

import lombok.*;

import javax.persistence.Column;
import java.time.LocalDateTime;

@Getter
@Setter
@NoArgsConstructor
public class SystemServiceAuthGroupUserSearchRes {

    private Long userSeq;
    private String custCode;
    private String lastUseServiceGroup;
    private String roleVal;
    private String userId;
    private String userName;
    private String eMail;
    private String mobileNo;
    private String useYn;

    @Builder
    public SystemServiceAuthGroupUserSearchRes(Long userSeq, String custCode, String lastUseServiceGroup, String roleVal, String userId, String userName, String eMail, String mobileNo, String useYn) {
        this.userSeq = userSeq;
        this.custCode = custCode;
        this.lastUseServiceGroup = lastUseServiceGroup;
        this.roleVal = roleVal;
        this.userId = userId;
        this.userName = userName;
        this.eMail = eMail;
        this.mobileNo = mobileNo;
        this.useYn = useYn;
    }
}
