
package com.icomsys.main_vm.biz.common.system.vo;

import lombok.Builder;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import java.util.List;

@Getter
@Setter
@NoArgsConstructor
public class SystemServiceGroupInsertReq {

    private String insertServiceGroup;
    private String insertGroupName;
    private String insertGroupDesc;
    private String subUseYn;
    private List<String> subPolicyVal;

    @Builder
    public SystemServiceGroupInsertReq(String insertServiceGroup, String insertGroupName, String insertGroupDesc, String subUseYn, List<String> subPolicyVal) {
        this.insertServiceGroup = insertServiceGroup;
        this.insertGroupName = insertGroupName;
        this.insertGroupDesc = insertGroupDesc;
        this.subUseYn = subUseYn;
        this.subPolicyVal = subPolicyVal;
    }
}

