
package com.icomsys.main_vm.biz.common.system.vo;

import com.icomsys.main_vm.common.code.MenuVo;
import lombok.Builder;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import java.util.List;
import java.util.Map;

@Getter
@Setter
@NoArgsConstructor
public class SystemServiceGroupTreeRes {

    private String custCode;
    private List<MenuVo> mainMenu;
    private List<String> mainPolicyVal;
    private Map<String, String> policyParent;

    @Builder
    public SystemServiceGroupTreeRes(String custCode, List<MenuVo> mainMenu, List<String> mainPolicyVal, Map<String, String> policyParent) {
        this.custCode = custCode;
        this.mainMenu = mainMenu;
        this.mainPolicyVal = mainPolicyVal;
        this.policyParent = policyParent;
    }
}

