
package com.icomsys.main_vm.biz.common.system.vo;

import com.icomsys.main_vm.common.code.MenuVo;
import com.icomsys.main_vm.db.jpa.entity.system.TbServiceGrouop;
import lombok.Builder;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

@Getter
@Setter
@NoArgsConstructor
public class SystemServiceGroupViewVo {
    private String custCode;
    private String serviceGroup;
    private String serviceGroupName;
    private String serviceGroupDesc;
    private String useYn;
    private String serviceType;
    private String oprMngCode;
    private List<String> policyVal;

    @Builder
    public SystemServiceGroupViewVo(String custCode, String serviceGroup, String serviceGroupName, String serviceGroupDesc, String useYn, String serviceType, String oprMngCode, List<String> policyVal) {
        this.custCode = custCode;
        this.serviceGroup = serviceGroup;
        this.serviceGroupName = serviceGroupName;
        this.serviceGroupDesc = serviceGroupDesc;
        this.useYn = useYn;
        this.serviceType = serviceType;
        this.oprMngCode = oprMngCode;
        this.policyVal = policyVal;
    }
}

