package com.icomsys.main_vm.biz.common.system.vo;

import lombok.Builder;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import java.util.List;

@Getter
@Setter
@NoArgsConstructor
public class WisenutInsertReqVo {

    private String name;
    private String summary;
    private double simThreshold;
    private double confidentThreshold;
    private double confidentThresholdGap;
    private List<String> fallbackMessages;
    private List<String> greetingMessages;
    private String channelCode;
    private String messages;

    @Builder
    public WisenutInsertReqVo(String oprMngCode, String serviceGroupDesc) {
        this.name = oprMngCode;
        this.summary = serviceGroupDesc;
        this.simThreshold = 0.85;
        this.confidentThreshold = 0.2;
        this.confidentThresholdGap = 0.05;
    }

}
