package com.icomsys.main_vm.common.code;

import lombok.*;

@Getter
@Setter
@NoArgsConstructor
public class MenuVo {

    private String menuName;
    private Long seq;
    private Long seqUpper;
    private int level;
    private int nextLevel;
    private String authName;
    private String url;


    @Builder
    public MenuVo(String menuName, Long seq, Long seqUpper, int level, int nextLevel, String authName, String url) {
        this.menuName = menuName;
        this.seq = seq;
        this.seqUpper = seqUpper;
        this.level = level;
        this.nextLevel = nextLevel;
        this.authName = authName;
        this.url = url;
    }

}
