package com.icomsys.main_vm.db.jpa.entity.system.id;

import lombok.*;

import java.io.Serializable;

@Getter
@Setter
@NoArgsConstructor
public class TbUserAuthGroupId implements Serializable {

    private Long userSeq;
    private Long authGroupSeq;
    private String serviceGroup;
    private String custCode;

    @Builder
    public TbUserAuthGroupId(Long userSeq, Long authGroupSeq, String serviceGroup, String custCode) {
        this.userSeq = userSeq;
        this.authGroupSeq = authGroupSeq;
        this.serviceGroup = serviceGroup;
        this.custCode = custCode;
    }
}
