package com.icomsys.main_vm.db.jpa.repo.scenario;

import com.icomsys.main_vm.db.jpa.entity.scenario.TbScenarioRelatedIntent;
import com.icomsys.main_vm.db.jpa.entity.scenario.id.TbScenarioRelatedIntentId;
import com.icomsys.main_vm.db.jpa.repo.scenario.dsl.TbScenarioRelatedIntentRepoDsl;
import org.springframework.data.jpa.repository.JpaRepository;

import java.util.List;

public interface TbScenarioRelatedIntentRepo extends JpaRepository<TbScenarioRelatedIntent, TbScenarioRelatedIntentId>, TbScenarioRelatedIntentRepoDsl {
    List<TbScenarioRelatedIntent> findByScenarioSeqOrderByIntentSeq(Long scSeq);
}
