package com.icomsys.main_vm.db.jpa.repo.system;

import com.icomsys.main_vm.db.jpa.entity.conversation.TbIntentExample;
import com.icomsys.main_vm.db.jpa.entity.conversation.id.TbIntentExampleId;
import com.icomsys.main_vm.db.jpa.repo.system.dsl.TbIntentExampleRepoDsl;
import org.springframework.data.jpa.repository.JpaRepository;

import java.util.List;
import java.util.Optional;

public interface TbIntentExampleRepo extends JpaRepository<TbIntentExample, TbIntentExampleId>, TbIntentExampleRepoDsl {

    List<TbIntentExample> findByIntentSeqAndUseYn(Long intentSeq, String use);
    List<TbIntentExample> findByIntentSeq(Long seq);


//    Optional<TbIntentExample> findBySeq(Object seq);

}
