package com.icomsys.main_vm.db.jpa.repo.system;

import com.icomsys.main_vm.db.jpa.entity.system.TbServiceAuthGroup;
import com.icomsys.main_vm.db.jpa.entity.system.id.TbServiceAuthGroupId;
import com.icomsys.main_vm.db.jpa.repo.system.dsl.TbServiceAuthGroupRepoDsl;
import org.springframework.data.jpa.repository.JpaRepository;

import java.util.List;
import java.util.Optional;

public interface TbServiceAuthGroupRepo extends JpaRepository<TbServiceAuthGroup, Long> , TbServiceAuthGroupRepoDsl {

    List<TbServiceAuthGroup> findByServiceGroup(String serviceGroup);

    Optional<TbServiceAuthGroup> findByAuthGroupSeq(Long seq);

    List<TbServiceAuthGroup> findByCustCodeAndServiceGroup(String cust, String service);
}
