<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>대시보드</title>
<%@ include file="/WEB-INF/jsp/adm/include/topLinkTag.jsp"%>
</head>
<body>

	<h1>ICOMSYS ADMIN</h1>
	<h1>대시보드</h1>
	<div class="skip_navigation">
		<ul>
			<li>
				<a href="#Content" class="go_content">본문 바로가기</a>
			</li>
			<li>
				<a href="#Gnb">메뉴 바로가기</a>
			</li>
		</ul>
	</div>

	<header id="header">
		<%@ include file="/WEB-INF/jsp/adm/include/header.jsp"%>
	</header>
	<c:import url="/adm/menu/getLnbMenu.do" />

	<script type="text/javascript" src="<c:url value='/aajs/statisticsDashboard.js' />"></script>

<%--	<style>--%>
<%--		.dashboard .component-billboard .billboard-grid {--%>
<%--			padding: 5px;--%>
<%--		}--%>
<%--	</style>--%>

	<h1>DASH BOARD</h1>

	<section id="Content" class="bot_common">
		<div class="location">
			<ul>
				<li class="home"><a href="#">HOME</a></li>
				<li><a href="#">대시보드</a></li>
			</ul>
		</div>

		<!-- TODO: 래부터 신규 컨텐츠 마크업 입니다. -->
		<div class="sub_cont">
			<div class="cont_box">
				<div class="box_title">
					<div class="fl">
						<h2 class="mt12">대시보드</h2>
					</div>
					<div class="fr">
						<div class="btn_wrap fl">
							<a href="javascript:StatisticsDashboard.setDashboardChart();" class="btn">조회</a>
						</div>
					</div>
				</div>
				<div class="tbl">
					<table class="search block">
						<colgroup>
							<col width="140px">
							<col width="auto">
						</colgroup>
						<tbody>
						<tr>
							<th class="tl">시나리오 그룹</th>
							<td>
								<div class="sel_box">
									<select class="wide" id="oprMngCode">

									</select>
								</div>
							</td>
						</tr>
						</tbody>
					</table>
				</div>
			</div>

			<div class="cont_box dashboard">
				<div class="component-billboard">
					<div class="billboard-grid">
						<div class="box_title">
							<div class="tit fl">전체 콜 그래프 (단위 : 건)</div>
						</div>
						<div class="grid-inner">
							<div class="chart-item-box">
								<div class="chart-item">
									<div class="chart" id="lineChart"></div>
								</div>
							</div>
						</div>
					</div>

					<div class="billboard-grid">
						<div class="box_title">
							<div class="tit fl">인텐트 그래프 (단위 : 건)</div>
						</div>
						<div class="grid-inner">
							<div class="chart-item-box">
								<div class="chart-item">
									<div class="chart" id="lineChart2"></div>
								</div>
							</div>
						</div>
					</div>

					<div class="billboard-grid">
						<div class="box_title">
							<div class="tit fl">시나리오 그래프 (단위 : 건)</div>
						</div>
						<div class="grid-inner">
							<div class="chart-item-box">
								<div class="chart-item">
									<div class="chart" id="lineChart3"></div>
								</div>
							</div>
						</div>
					</div>

					<div class="billboard-grid full">
						<div class="box_title">
							<div class="tit fl">오늘 시간대별 통화량 (단위 : 건)</div>
							<div class="tit fr" id="curCallCnt">현재 통화량 : 0건</div>
						</div>
						<div class="grid-inner">
							<div class="chart-item-box">
								<div class="chart-item">
									<div class="chart" id="barChart"></div>
								</div>
							</div>
						</div>
					</div>


				</div>
			</div>
		</div>

	</section>

</body>
</html>
