<%--
  Created by IntelliJ IDEA.
  User: Mong
  Date: 2023-02-03
  Time: AM 9:21
  To change this template use File | Settings | File Templates.
--%>
<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8">
    <title>Common Node</title>
    <%@ include file="/WEB-INF/jsp/adm/include/topLinkTag.jsp" %>
    <script src="<c:url value='/js/adm/rcp/conversation/cmmNodeEdit.js' />"></script>
    <script src="<c:url value='/js/adm/rcp/conversation/scenarioNodePopup.js' />"></script>
    <script src="<c:url value='/js/adm/rcp/conversation/common.js' />"></script>
    <script src="<c:url value='/js/utils.js' />"></script>
    <script src="<c:url value='/js/lib/crypto-js/aes.js' />"></script>
</head>
<body>
<style>
    article {
        /* 임시로 getLnbMenu를 dxdiagram popup content보다 높게 설정함 */
        z-index: 1503 !important;
    }
</style>

<h1>ICOMSYS ADMIN</h1>
<h1>API NODE</h1>
<div class="skip_navigation">
    <ul>
        <li>
            <a href="#Content" class="go_content">본문 바로가기</a>
        </li>
        <li>
            <a href="#Gnb">메뉴 바로가기</a>
        </li>
    </ul>
</div>

<header id="header">
    <%@ include file="/WEB-INF/jsp/adm/include/header.jsp" %>
</header>
<c:import url="/adm/menu/getLnbMenu.do"/>
<section id="Content" class="bot_common">
    <div class="location">
        <ul>
            <li class="home"><a href="#">HOME</a></li>
            <li><a href="#">대화관리</a></li>
            <li><a href="#">Common노드관리</a></li>
        </ul>
    </div>

    <!-- TODO: 래부터 신규 컨텐츠 마크업 입니다. -->

    <div id="editScenario" class="scenario">
        <div class="sub_cont ov-unset">
            <div class="box_title panel-tit">
                <div class="fl">
                    <h2 class="" id="cmmNodeInfo" seq="<c:out value="${seq}"/>" checksum="0"></h2>
                    <div class="side-input-item">
                        <label for="">시나리오 그룹</label>
                        <div class="sel_box">
                            <select id="serviceGroup" class="wide">
                            </select>
                        </div>
                    </div>
                    <div class="side-input-item">
                        <label for="">Node명</label>
                        <input id="nodeName" type="text">
                    </div>
                </div>
                <div class="fr">
                    <div class="btn_wrap fl">
                        <div class="side-input-item">
<%--                            <label for="">Node명</label>--%>
<%--                            <input id="nodeName" type="text">--%>
                        </div>
                        <div class="toggleBtn-set">
                        </div>
                        <div class="toggleBtn-set">
                            <input type="hidden" name="" id="nodeType"/>
                        </div>
                        <a id="btnCancel" href="#" class="btn grey">취소</a>
                        <a id="btnSave" href="#" class="btn">저장</a>

                    </div>
                </div>
            </div>
        </div>
        <div class="cont_box">
            <div class="component-diagram">
                <!-- <ul class="diagram-tab">
                    <li><a href="#" class="tabVariable">VAR</a></li>
                    <li><a href="#" class="tabTest">TEST</a></li>
                </ul> -->
                <div class="diagram-panel">
                    <div id="diagram" class="exComp"></div>
                    <div id="popup"></div>
                    <input type="hidden" id="editFlag" value="<c:out value="${flag}"/>">
                </div>

                <div class="diagram-variable diagram-tab-panel">
                    <div class="diagram-tab-panel-head">
                        <div class="diagram-tab-panel-head-title">변수목록</div>
                        <div class="diagram-tab-panel-head-side">
                            <ul class="list-option">
                                <li><a href="#" class="refresh" title="새로고침" onclick="ViewEvent.ScenarioVarList(true)"></a></li>
                                <li><a href="#" class="close tabVariableClose" title="닫기"></a></li>
                            </ul>
                        </div>
                    </div>
                    <div id="scenarioVarList" class="variable-test">
                        <ul>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
    </div>

</section>
<input type="hidden" id="cmmUrl" value="<c:out value="${url}"/>"/>
<input type="hidden" id="cmmSeq" value="<c:out value="${seq}"/>"/>
<input type="hidden" id="cmmServiceGroup" value="<c:out value="${serviceGroup}"/>"/>
</body>
</html>


