<%--
  Created by IntelliJ IDEA.
  User: Mong
  Date: 2023-02-03
  Time: AM 9:21
  To change this template use File | Settings | File Templates.
--%>
<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8">
    <title>시나리오GUI편집</title>
    <%@ include file="/WEB-INF/jsp/adm/include/topLinkTag.jsp" %>
    <script src="<c:url value='/js/utils.js' />"></script>
    <script src="<c:url value='/js/lib/crypto-js/aes.js' />"></script>
</head>
<body>
<style>
    article {
        /* 임시로 getLnbMenu를 dxdiagram popup content보다 높게 설정함 */
        z-index: 1503 !important;
    }
</style>

<h1>ICOMSYS ADMIN</h1>
<h1>API NODE</h1>
<div class="skip_navigation">
    <ul>
        <li>
            <a href="#Content" class="go_content">본문 바로가기</a>
        </li>
        <li>
            <a href="#Gnb">메뉴 바로가기</a>
        </li>
    </ul>
</div>

<header id="header">
    <%@ include file="/WEB-INF/jsp/adm/include/header.jsp" %>
</header>
<!-- header.jsp 이후 실행되어야 함 -->
<script src="<c:url value='/js/adm/rcp/conversation/scenarioGUINodeEdit.js' />"></script>
<script src="<c:url value='/js/adm/rcp/conversation/scenarioNodePopup.js' />"></script>
<script src="<c:url value='/js/adm/rcp/conversation/common.js' />"></script>
<c:import url="/adm/menu/getLnbMenu.do"/>
<section id="Content" class="bot_common">
    <div class="location">
        <ul>
            <li class="home"><a href="#">HOME</a></li>
            <li><a href="#">대화관리</a></li>
            <li><a href="#">시나리오관리</a></li>
        </ul>
    </div>

    <!-- 아래부터 신규 컨텐츠 마크업 입니다. -->

    <div id="editScenario" class="scenario">
        <div class="sub_cont">
            <div class="box_title panel-tit">
                <div class="fl">
                    <h2 class="" id="scenarioInfo" masterSeq="<c:out value="${seq}"/>" checksum="0" custCode="<c:out value="${custCode}"/>" serviceGroup="<c:out value="${serviceGroup}"/>" >(시나리오명 : {시나리오명})</h2>
                </div>
                <div class="fr">
                    <div class="btn_wrap fl">
                        <div class="toggleBtn-set">
                        </div>
                        <div class="toggleBtn-set">
<%--                            <input id="devName" type="text" value="0"/>--%>
<%--                            <div id="insBtn"></div>--%>
<%--                            <div id="selBtn"></div>--%>
                            <input type="hidden" name="" id="nodeType"/>
                            <input type="hidden" name="" id="scenarioName"/>
                        </div>
                        <a id="btnScenarioDownload" href="#" class="btn line" >시나리오 다운로드</a>
                        <a id="btnScenarioFileLoad" href="#" rel="scenarioLoad" class="btn line modalLoad">시나리오 불러오기</a>
                        <a id="btnScenarioCancel" href="#" class="btn grey">취소</a>
                        <a id="btnScenarioSave" href="#" class="btn">저장</a>
                    </div>
                </div>
            </div>
        </div>
        <div class="cont_box">
            <div class="component-diagram">
                <!-- <ul class="diagram-tab">
                    <li><a href="#" class="tabVariable">VAR</a></li>
                    <li><a href="#" class="tabTest">TEST</a></li>
                </ul> -->
                <div class="diagram-panel">
                    <div id="diagram" class="exComp"></div>
                    <div id="popup"></div>
                    <input type="hidden" id="editFlag" value="<c:out value="${flag}"/>">
                </div>

                <div class="diagram-variable diagram-tab-panel">
                    <div class="diagram-tab-panel-head">
                        <div class="diagram-tab-panel-head-title">변수목록</div>
                        <div class="diagram-tab-panel-head-side">
                            <ul class="list-option">
                                <li><a href="#" class="refresh" title="새로고침" onclick="ViewEvent.ScenarioVarList(true)"></a></li>
                                <li><a href="#" class="close tabVariableClose" title="닫기"></a></li>
                            </ul>
                        </div>
                    </div>
                    <div id="scenarioVarList" class="variable-test">
                        <ul>
                            <!--
                            <li>
                                YESNO <a href="#" class="ico copy">복사</a>
                            </li>
                            <li>
                                customerPhoneNumber <a href="#" class="ico copy">복사</a>
                            </li>
                            <li>
                                reservationYn <a href="#" class="ico copy">복사</a>
                            </li>
                            -->
                        </ul>
                    </div>
                </div>

                <div class="diagram-test diagram-tab-panel">
                    <div class="diagram-tab-panel-head">
                        <div class="diagram-tab-panel-head-title">시나리오 테스트</div>
                        <div class="diagram-tab-panel-head-side">
                            <ul class="list-option">
                                <!-- <li><a href="#" class="windowModeBtn" title="윈도우 팝업띄우기"></a></li> -->
                                <li><a href="#" class="debugModeBtn" title="디버깅 모드"></a></li>
                                <li><a href="#" class="refresh" title="새로고침"></a></li>
                                <li><a href="#" class="close tabTestClose" title="닫기"></a></li>
                            </ul>
                        </div>
                    </div>
                    <div class="monitoring-test">
                        <div class="box_title monitering-header">
                            <div class="fl">
                                <div class="monitering-name">
                                    <div class="select-inline">
                                        <select name="" id="scenarioTestNum">
                                            <!-- 테스트 전화 번호 추가 -->
                                        </select>
                                    </div>
                                </div>
                            </div>
                            <div class="fr" >
                                <a href="#" class="minico" id="btnTestConnect" >연결</a>
                            </div>
                        </div>
                        <div class="content-scroll type-bg">
                            <div id="chat" class="monitering-chat">
                                <!-- 채팅 내용 추가 영역 -->
                            </div>
                        </div>
                    </div>
                    <div class="test-input">
                        <input id="chatInput" type="text" placeholder="대화를 입력하세요.">
                        <a id="sendChat" href="#" class="btn grey">전송</a>
                    </div>

                    <div class="param-data-form">
                        <div class="box_title monitering-header">
                            <div class="fl">
                                <div class="monitering-name">
                                    파라미터
                                </div>
                            </div>
                        </div>
                        <div class="param-form">
                            <div class="modal_cont" id="testParam">
                                <!-- 파라메터 값 추가 영역 -->
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

</section>
<div class="modal" id="scenarioLoad">
    <div class="modal_header">
        <h3>시나리오 불러오기 안내</h3>
    </div>
    <div class="modal_body">
        <div class="modal_cont">
            <div class="box_title">
                <div class="fl">
                    <h2 class="mt12">시나리오 파일 업로드</h2>
                </div>
            </div>
            <div class="info-list">
                <ul>
                    <li>
                        시나리오 파일 업로드는 시나리오 다운로드를 통해 다운로드 받은 파일만 가능합니다.
                    </li>
                    <li>
                        시나리오 다운로드 받은 파일을 변조하면 시나리오를 불러올 수 없습니다.
                    </li>
                    <li>
                        업로드는 파일은 Json( .json )파일만 가능합니다.
                        파일은 최대 3MB까지 업로드 할 수 있습니다.
                    </li>
                    <li>
                        파일명은 최대 70자까지 허용합니다.
                    </li>
                    <li><em class="red">시나리오 불러오기 시 작성 중인 시나리오는 삭제됩니다</em></li>
                </ul>
            </div>

            <div class="file-upload-form">
                <dl>
                    <dt>
                        <div class="file-upload">
                            <span class="btn">파일 선택</span>
                            <input type="file" name="" id="selectJsonFile" class="upload" />
                        </div>
                    </dt>
                    <dd>
                        <div class="ipt_box type-flex">
                            <input id="inputJsonUpload" type="text" class="input-file" placeholder="선택된 파일 없음." disabled>
                            <a id="deleteJsonFile" href="#" class="btn grey">삭제</a>
                        </div>
                    </dd>
                </dl>
            </div>
        </div>

    </div>
    <div class="modal_footer">
        <div class="btn_wrap fr">
            <a id="jsonFileUpload" href="#" class="btn">불러오기</a>
            <a id="scenarioLoadCancel" href="#" class="btn close grey">취소</a>
        </div>
    </div>
    <div class="modal_controller">
        <a href="#" class="close">close</a>
    </div>
</div>
</body>
</html>
